SystemOrganization addCategory: #TPTodo!
SystemOrganization addCategory: #'TPTodo-Tests'!

TestCase subclass: #TPWorkItemTest
	instanceVariableNames: 'subject'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPTodo-Tests'!

!TPWorkItemTest methodsFor: 'as yet unclassified' stamp: 'TP 1/13/2013 16:25:20.63'!
setUp

	subject := TPWorkItem new.
	super! !

!TPWorkItemTest methodsFor: 'as yet unclassified' stamp: 'TP 1/13/2013 16:12:11.58'!
testDescription

	subject description: 'Blablabla'.
	self assert: subject description equals: 'Blablabla'   ! !

!TPWorkItemTest methodsFor: 'as yet unclassified' stamp: 'TP 1/13/2013 16:22:06.048'!
testFinish

	subject finish.
	self assert: subject isFinished   ! !

!TPWorkItemTest methodsFor: 'as yet unclassified' stamp: 'TP 1/13/2013 16:21:37.884'!
testNewItemUnfinished

	self deny: subject isFinished   ! !

!TPWorkItemTest methodsFor: 'as yet unclassified' stamp: 'TP 1/13/2013 17:41:36.806'!
testShortDescription

	|description|
	description := ''.
	(1 to: 160) do: [:e | description := description , 'A'].
	subject description: description.
	self assert: TPWorkItem shortDescriptionSize equals: subject shortDescription size! !

!TPWorkItemTest methodsFor: 'as yet unclassified' stamp: 'TP 1/13/2013 17:49:41.05'!
testShortDescriptionForAShortDescription

subject description: 'abc'.
self assert: 'abc' equals: subject shortDescription.   ! !

Object subclass: #TPWorkItem
	instanceVariableNames: 'status description'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TPTodo'!

!TPWorkItem class methodsFor: 'as yet unclassified' stamp: 'TP 1/13/2013 16:24:46.774'!
shortDescriptionSize 

	^ 40! !

!TPWorkItem methodsFor: 'accessing' stamp: 'TP 1/13/2013 16:24:02.248'!
description
	^ description! !

!TPWorkItem methodsFor: 'accessing' stamp: 'TP 1/13/2013 16:24:02.252'!
description: anObject
	description := anObject! !

!TPWorkItem methodsFor: 'accessing' stamp: 'TP 1/13/2013 16:27:28.9'!
finish
	
	status := #finished.! !

!TPWorkItem methodsFor: 'accessing' stamp: 'TP 1/13/2013 16:28:39.264'!
initialize
	
	super.
	status := #unfinished.! !

!TPWorkItem methodsFor: 'accessing' stamp: 'TP 1/13/2013 16:26:55.656'!
isFinished
	
	^ status = #finished! !

!TPWorkItem methodsFor: 'as yet unclassified' stamp: 'TP 1/13/2013 17:51:39.714'!
shortDescription

	^ (self description size > self class shortDescriptionSize) ifTrue: [self description copyFrom: 1 to: self class shortDescriptionSize] ifFalse: [self description]  ! !
